JHelp

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class JHelp

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.help.JHelp

All Implemented Interfaces:
  javax.accessibility.Accessible, java.util.EventListener, HelpSetListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class JHelp
extends javax.swing.JComponent
implements HelpSetListener, javax.accessibility.Accessible

Displays HelpSet data with navigators and a content viewer.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JHelp()` Create a JHelp component without a TextHelpModel.
`JHelp(HelpSet hs)` Create a JHelp with a JHelpContentViewer and all Navigators requested in the HelpSet.
`JHelp(TextHelpModel model)` Create a JHelp using the TextHelpModel.
`JHelp(TextHelpModel model, HelpHistoryModel history, HelpSet.Presentation hsPres)` Create a JHelp using the TextHelpModel and HelpHistoryModel

Method Summary
`void` | `addHelpNavigator(JHelpNavigator navigator)` A JHelp can have a number of navigators.
`javax.accessibility.AccessibleContext` | `getAccessibleContext()` Get the AccessibleContext associated with this JComponent.
`JHelpContentViewer` | `getContentViewer()` Retrieves what is the current content viewer Read-Only property?
`JHelpNavigator` | `getCurrentNavigator()`
`java.util.Enumeration` | `getHelpNavigators()`
`HelpSet.Presentation` | `getHelpSetPresentation()`
`java.net.URL` | `getHelpSetURL()`
`HelpHistoryModel` | `getHistoryModel()` Returns The HelpHistoryModel
`TextHelpModel` | `getModel()`
`TreeItem[]` | `getSelectedItems()` Returns a list of selected items from the current navigator
`HelpUI` | `getUI()` Returns the HelpUI that is providing the current look and feel.
`java.lang.String` | `getUIClassID()`
`void` | `helpSetAdded(HelpSetEvent e)` Adds a new HelpSet to "our" HelpSet.
`void` | `helpSetRemoved(HelpSetEvent e)` Removes a HelpSet from "our" HelpSet.
`boolean` | `isNavigatorDisplayed()` Determines if the Navigators are hidden/displayed in the HelpUI.
`boolean` | `isToolbarDisplayed()` Determines if the Navigators are hidden/displayed in the HelpUI.
`void` | `removeHelpNavigator(JHelpNavigator navigator)` Removes a navigator.
`void` | `setCurrentID(Map.ID id)` Visits a given ID.
`void` | `setCurrentID(Map.ID id, java.lang.String historyName, JHelpNavigator navigator)` Visits a given ID.
`void` | `setCurrentID(java.lang.String id)` Convenience version of the above.
`void` | `setCurrentNavigator(JHelpNavigator navigator)` Sets the current navigator in the HelpUI.
`void` | `setCurrentURL(java.net.URL url)` Visits a given URL.
`void` | `setCurrentURL(java.net.URL url, java.lang.String historyName, JHelpNavigator navigator)` Visits a given URL.
`void` | `setHelpSetPresentation(HelpSet.Presentation hsPres)` Set the HelpSet.Presentation.
`void` | `setHelpSetSpec(java.lang.String spec)` Set the URL to the HelpSet.
`void` | `setModel(TextHelpModel newModel)` Sets the HelpModel that provides the data.
`void` | `setNavigatorDisplayed(boolean displayed)` Hidess/Displays the Navigators in the HelpUI.
`void` | `setToolbarDisplayed(boolean displayed)` Hidess/Displays the Toolbar in the HelpUI.
`void` | `setUI(HelpUI ui)` Sets the HelpUI that will provide the current look and feel.
`void` | `updateUI()` Replaces the UI with the latest version from the default UIFactory.

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JHelp

    public JHelp(HelpSet hs)

  Create a JHelp with a JHelpContentViewer and all Navigators requested in the HelpSet.

Parameters:
  `hs` - The HelpSet. If hs is null the JHelp is created with a TextHelpModel with no HelpSet.

### JHelp

    public JHelp()

  Create a JHelp component without a TextHelpModel.

### JHelp

    public JHelp(TextHelpModel model)

  Create a JHelp using the TextHelpModel.

Parameters:
  `model` - A model to use for the content and all the navigators. If `model` is null it is the same as creating without a TextHelpModel

### JHelp

    public JHelp(TextHelpModel model,
                 HelpHistoryModel history,
                 HelpSet.Presentation hsPres)

  Create a JHelp using the TextHelpModel and HelpHistoryModel

Parameters:
  `model` - A model to use for the content and all the navigators. If `model` is null it is the same as creating without a TextHelpModel
  `history` - A history model. If <`history` is null it is the same as creating without HelpHistoryModel

Method Detail

### setModel

    public void setModel(TextHelpModel newModel)

  Sets the HelpModel that provides the data.

  Parameters:
    `newModel` - The new Model. If `newModel` is null the internal model is set to null.

### getModel

    public TextHelpModel getModel()

  Returns:
    The HelpModel that is providing the data.

### getHistoryModel

    public HelpHistoryModel getHistoryModel()

  Returns The HelpHistoryModel

  Returns:
    The HelpHistoryModel which provides history data

### setHelpSetPresentation

    public void setHelpSetPresentation(HelpSet.Presentation hsPres)

  Set the HelpSet.Presentation.

  See Also:
    `HelpSet.Presentation`

### getHelpSetPresentation

    public HelpSet.Presentation getHelpSetPresentation()

  Returns:
    The HelpSet.Presentation.
  See Also:
    `HelpSet.Presentation`

### setHelpSetSpec

    public void setHelpSetSpec(java.lang.String spec)

  Set the URL to the HelpSet. This forces the HelpSet to be reloaded.

  Parameters:
    `spec` - Where to locate the HelpSet. A null spec is valid

### getHelpSetURL

    public java.net.URL getHelpSetURL()

  Returns:
    The URL to the HelpSet.

### setUI

    public void setUI(HelpUI ui)

  Sets the HelpUI that will provide the current look and feel.

  Parameters:
    `ui` - The HelpUI to set for this component. A null value for ui is valid.

### getUI

    public HelpUI getUI()

  Returns the HelpUI that is providing the current look and feel.

### updateUI

    public void updateUI()

  Replaces the UI with the latest version from the default UIFactory.

  Overrides:
    `updateUI` in class `javax.swing.JComponent`

### getUIClassID

    public java.lang.String getUIClassID()

  Overrides:
    `getUIClassID` in class `javax.swing.JComponent`
  Returns:
    "HelpUI"

### helpSetAdded

    public void helpSetAdded(HelpSetEvent e)

  Adds a new HelpSet to "our" HelpSet.

  Specified by:
    `helpSetAdded` in interface `HelpSetListener`
  Parameters:
    `e` - HelpSetEvent
  See Also:
    `HelpSetEvent`, `HelpSetListener`

### helpSetRemoved

    public void helpSetRemoved(HelpSetEvent e)

  Removes a HelpSet from "our" HelpSet.

  Specified by:
    `helpSetRemoved` in interface `HelpSetListener`
  Parameters:
    `e` - The event

### setCurrentID

    public void setCurrentID(Map.ID id)
                      throws InvalidHelpSetContextException

  Visits a given ID. Propagates down into the model.

  Parameters:
    `id` - The ID to visit. Null id is valid for TextHelpModel.setCurrentID.
  Throws:
    `InvalidHelpSetContextException` - if id.hs is not contained in getHelpSet()

### setCurrentID

    public void setCurrentID(Map.ID id,
                             java.lang.String historyName,
                             JHelpNavigator navigator)
                      throws InvalidHelpSetContextException

  Visits a given ID. Propagates down into the model.

  Parameters:
    `id` - The ID to visit. Null id is valid for TextHelpModel.setCurrentID.
    `historyName` - The name for history entry
    `navigator` - The JHelpNavigator
  Throws:
    `InvalidHelpSetContextException` - if id.hs is not contained in getHelpSet()

### setCurrentID

    public void setCurrentID(java.lang.String id)
                      throws BadIDException

  Convenience version of the above. The implicit HelpSet is the current HelpSet.

  Parameters:
    `id` - The String to visit. Null id is valid for TextHelpModel.setCurrentID.
  Throws:
    `BadIDException` - if the string is not in the map for the HelpSet.

### setCurrentURL

    public void setCurrentURL(java.net.URL url)

  Visits a given URL. Propagates down into the model.

  Parameters:
    `url` - The URL to visit

### setCurrentURL

    public void setCurrentURL(java.net.URL url,
                              java.lang.String historyName,
                              JHelpNavigator navigator)

  Visits a given URL. Propagates down into the model.

  Parameters:
    `url` - The URL to visit

### getSelectedItems

    public TreeItem[] getSelectedItems()

  Returns a list of selected items from the current navigator

### addHelpNavigator

    public void addHelpNavigator(JHelpNavigator navigator)

  A JHelp can have a number of navigators. One of navigators is active. How they are presented depends on the UI, but they may be a collection of tabs, with the active tab being at the front.
  Each navigator listens to changes to the HelpModel. A navigator can also tell the model to change--the change is propagated to the other navigators, this component, and the content viewer if they all use the same HelpModel instance.

  Parameters:
    `navigator` - The Navigator to explicitly add to the JHelp.

### removeHelpNavigator

    public void removeHelpNavigator(JHelpNavigator navigator)

  Removes a navigator.

  Parameters:
    `navigator` - The Navigator to explicitly add to the JHelp.

### getHelpNavigators

    public java.util.Enumeration getHelpNavigators()

  Returns:
    An Enumeration of HelpNavigators in the HelpUI.

### setCurrentNavigator

    public void setCurrentNavigator(JHelpNavigator navigator)

  Sets the current navigator in the HelpUI.

  Parameters:
    `navigator` - The navigator
  Throws:
    `throws` - InvalidNavigatorException if not a one of HELPUI navigators.

### getCurrentNavigator

    public JHelpNavigator getCurrentNavigator()

  Returns:
    The current navigator in the HelpUI

### setNavigatorDisplayed

    public void setNavigatorDisplayed(boolean displayed)

  Hidess/Displays the Navigators in the HelpUI.

### isNavigatorDisplayed

    public boolean isNavigatorDisplayed()

  Determines if the Navigators are hidden/displayed in the HelpUI.

  Returns:
    Are the navigators displayed?
  Since:
    2.0

### setToolbarDisplayed

    public void setToolbarDisplayed(boolean displayed)

  Hidess/Displays the Toolbar in the HelpUI.

  Since:
    2.0

### isToolbarDisplayed

    public boolean isToolbarDisplayed()

  Determines if the Navigators are hidden/displayed in the HelpUI.

  Returns:
    is the toolbar displayed?
  Since:
    2.0

### getContentViewer

    public JHelpContentViewer getContentViewer()

  Retrieves what is the current content viewer Read-Only property?

### getAccessibleContext

    public javax.accessibility.AccessibleContext getAccessibleContext()

  Get the AccessibleContext associated with this JComponent.

  Specified by:
    `getAccessibleContext` in interface `javax.accessibility.Accessible`
  Overrides:
    `getAccessibleContext` in class `javax.swing.JComponent`
  Returns:
    The AccessibleContext of this JComponent

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD